/*
    `yy' - A lightshow-like program that graphically represents sound.
    Copyright (C) 1998  Nikos Gorogiannis <kgor@softlab.ece.ntua.gr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
    See file `copyright' for details.
*/

// file creates an array of pointers to character arrays. These contain
// odd-sized bitmaps of spheres. All these are contain in a class.

#ifndef ICONS_HH
#define ICONS_HH

#define ICONS 30

#define LOG2_MAX_DIVISOR 6
#define MAX_DIVISOR ((1<<LOG2_MAX_DIVISOR) - 1)

//#define half_odd(o) (((o)-1)>>1)

class Icons
{
public:
	Icons(void);
	~Icons();
//	void print_icon(int size);
	
	int * bitmap[ICONS];
	
private:
	int * create_icon(int center);
};

#endif
	